#include <bits/stdc++.h>

int main()
{
    int n,iznad;
    std::cin >> n >> iznad;
    int karte[n];
    for(int i =0; i<n; i++){
        std::cin>> karte[i];
    }

    for(int i = 0;i <n-1; i++){

        if(karte[i] == iznad){
            std::cout << karte[i+1];
            i= n;
        }
    }
    if(karte[n-1]==iznad){
        std:: cout<< karte[0];
    }

    return 0;
}